PETSc version 3.15.5
Fix/Edit manual page

# VecHIPRestoreArrayWrite

Restore a HIP device pointer previously acquired with VecHIPGetArrayWrite().

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecHIPRestoreArrayWrite(Vec v, PetscScalar **a)

Data on the host will be marked as out of date. Subsequent access of the data on the host side e.g. with VecGetArray() will incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the HIP device pointer. This pointer is invalid after VecHIPRestoreArrayWrite() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecHIPGetArrayWrite(), VecHIPGetArray(), VecHIPGetArrayRead(), VecHIPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages